#!/usr/bin/bash

# variable declarations
# to change apache version or home directory installing from just modify the variables


EXDIR=/spare0/csci399/sv24/   # your HOME DIRECTORY
APACHE='apache_1.3.17/'		# THE name of apache directory source

# INSTALLING INTO DIRECTORY AP_INST


OPTIONS=" --prefix="$EXDIR"AP_INST --enable-module=status --enable-module=info --disable-module=imap --disable-module=userdir --disable-module=usertrack"

# make directory
	echo creating new directory
	mkdir $EXDIR

# copy files and extract

	cp /share/cs-pub/399/A1/apache_1.3.17.tar.gz $EXDIR
	gunzip "$EXDIR"apache_1.3.17.tar.gz

	echo extracting in directory $EXDIR
	cd $EXDIR;
	`tar xvf "./apache_1.3.17.tar"`
	
	echo creating installation directory AP_INST
	mkdir AP_INST
	cd $APACHE
	
	# SET CONFIGURE OPTIONS
	
	echo setting installation configuration options
	configure $OPTIONS
	echo the directory is "$EXDIR$APACHE"configure
	echo  --------------------------------------
	cat config.status
	echo  --------------------------------------
	
	# INSTALLING
	
	echo INSTALLING IN DIRECTORY NOW
	make
	make install
	 
