#!/usr/bin/bash


EXDIR=/spare0/csci399/sv24/
APACHE='AP_INST/'


cd "$EXDIR$APACHE"htdocs 		# change to html default directory
rm -r *					# delete all files and folders


# now get and unpackage web site from permanent archive 
# it is useful to be able to unpack and refresh the whole website at a single command 
# if necessary in case of loss of data, or corruption etc
# have whole web site packed in a gz file somewhere else 
# so all you have to do is copy it, unpack it
# and resett some permissions



cp /home/ug/z/sv24/399/A1/wroot.tar.gz ./
gunzip wroot.tar.gz
tar -xvf wroot.tar

rm wroot.tar	# delete the archive copy

cd ..
mkdir passwords

# get some test files there

cd /spare0/csci399/sv24/apache_1.3.17/htdocs

cd /spare0/csci399/sv24/AP_INST/htdocs
chmod 744 index.html  	# set permissions of index page

# NOW make passwords file -- ps. you wouldn't do it like this in real life!

cd /spare0/csci399/sv24/AP_INST/passwords

/spare0/csci399/sv24/AP_INST/bin/htpasswd -bc .htpasswords sv24 sv24
/spare0/csci399/sv24/AP_INST/bin/htpasswd -b .htpasswords sv25 sv25
/spare0/csci399/sv24/AP_INST/bin/htpasswd -b .htpasswords sv26 sv26
/spare0/csci399/sv24/AP_INST/bin/htpasswd -b .htpasswords sv27 sv27
/spare0/csci399/sv24/AP_INST/bin/htpasswd -b .htpasswords sv28 sv28
/spare0/csci399/sv24/AP_INST/bin/htpasswd -b .htpasswords sv29 sv29
/spare0/csci399/sv24/AP_INST/bin/htpasswd -b .htpasswords sv30 sv30

# END of make passwords file and have already added 7 users and passwords

# NOW make groups file
# is done manually so just copy a file from user home directory to passwords directory
# might was well copy the httpd.conf file kept safe as well!

# so copying .htgroups to folder passwords 

cp /home/ug/z/sv24/399/A1/httpd.conf /spare0/csci399/sv24/AP_INST/conf/
cp /home/ug/z/sv24/399/A1/.htgroups /spare0/csci399/sv24/AP_INST/passwords/
cp /home/ug/z/sv24/399/A1/test.cgi /spare0/csci399/sv24/AP_INST/cgi-bin/
chmod 711 /spare0/csci399/sv24/AP_INST/cgi-bin/test.cgi
chmod 711 /spare0/csci399/sv24/AP_INST/htdocs/progs/test.cgi
chmod 711 /spare0/csci399/sv24/AP_INST/htdocs/progs/credit.cgi
# DONE WITH COPY FILES





